Bug 3980 - uptime, who, gkrellm показывают слишком большое количество пользователей
: uptime, who, gkrellm показывают слишком большое количество пользователей
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssh-server)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-15 15:16 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-15 15:16:48
Сейчас у меня на машине показывает 30, хотя реально:
$ last | grep still | wc
      7      69     539
$ w
 15:09:35  up 7 days, 22:51, 30 users,  load average: 0.01, 0.18, 0.22
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
srr      :0       -                11:01am   ?     0.00s  1.75s  gnome-session 
srr      pts/193  :0.0             12:00pm  1:13m  7.58s  7.39s  xmms 
srr      pts/254  :0.0              2:23pm 22:16   0.03s  0.03s  luit 
srr      pts/258  :0.0              2:50pm  1.00s  0.16s  0.02s  w 
srr      pts/262  :0.0              3:00pm  5:21   0.02s  0.02s  luit 
srr      pts/264  :0.0              3:01pm  3:15   0.03s  0.03s  luit 
srr      pts/266  :0.0              3:01pm  7:51   0.01s  0.01s  luit 

$ uptime
 15:15:15  up 7 days, 22:56, 30 users,  load average: 0.19, 0.30, 0.27

$ uname -a
Linux sabitov.stacksoft.ru 2.6.5-std26-up-alt1 #1 Mon Apr 5 20:19:51 MSD 2004
i686 unknown unknown GNU/Linux
------- Comment #1 From 2004-04-15 15:21:54 -------
покажите, что показывает who!
------- Comment #2 From 2004-04-15 15:33:20 -------
ошибка обнаружена в пакете openssh-server.
------- Comment #3 From 2004-04-15 15:41:04 -------
$ who 
srr      :0           Apr 15 11:01
srr      pts/32       Apr  9 14:06 (:0.0)
srr      pts/34       Apr  9 14:27 (:0.0)
srr      pts/35       Apr  9 14:30 (:0.0)
srr      pts/36       Apr  9 14:31 (:0.0)
srr      pts/87       Apr 12 15:41 (:0.0)
srr      pts/88       Apr 12 15:44 (:0.0)
srr      pts/91       Apr 12 17:05 (:0.0)
srr      pts/141      Apr 14 13:14 (:0.0)
srr      pts/142      Apr 14 13:16 (:0.0)
srr      pts/143      Apr 14 13:20 (:0.0)
srr      pts/144      Apr 14 13:27 (:0.0)
srr      pts/145      Apr 14 13:44 (:0.0)
srr      pts/175      Apr 15 09:39 (:0.0)
srr      pts/176      Apr 15 10:41 (:0.0)
srr      pts/181      Apr 15 11:21 (:0.0)
srr      pts/188      Apr 15 11:47 (:0.0)
srr      pts/193      Apr 15 12:00 (:0.0)
root     pts/195      Apr 15 12:22 (:0.0)
root     pts/196      Apr 15 12:23 (:0.0)
root     pts/197      Apr 15 12:23 (:0.0)
root     pts/198      Apr 15 12:23 (:0.0)
root     pts/199      Apr 15 12:24 (:0.0)
srr      pts/216      Apr 15 13:03 (:0.0)
srr      pts/262      Apr 15 15:00 (:0.0)
srr      pts/264      Apr 15 15:01 (:0.0)
srr      pts/266      Apr 15 15:01 (:0.0)
srr      pts/268      Apr 15 15:02 (:0.0)
------- Comment #4 From 2004-04-21 20:55:53 -------
btw, fixed in upstream release, I'll make backport. 
------- Comment #5 From 2004-04-28 21:54:05 -------
Fixed in openssh-server-3.6.1p2-alt5
------- Comment #6 From 2004-05-21 09:55:18 -------
Повторяется

[srr@sabitov srr]$ who -u
srr      :0           May 20 19:32   ?         17639
ave      pts/20       May 20 19:07 12:30       16674 (alef)
root     pts/21       May 20 19:30   ?         17502 (:0.0)
root     pts/22       May 20 19:30   ?         17524 (:0.0)
srr      pts/39       May 21 09:34   .         12502 (:0.0)
[srr@sabitov srr]$ ps -axf | egrep "(17502|17524)"
[srr@sabitov srr]$

Процессов 17502 и 17524 нет, root-ом никто не залогинен.

В районе 19:30 я выполнял su и ввел неправильный пароль, потом правильный, потом
закрыл сессию, не выходя из su:

May 20 19:28:41 sabitov pam_tcb[17439]: su: Authentication failed for root from
srr(uid=500)
May 20 19:28:51 sabitov pam_tcb[17447]: su: Authentication passed for root from
srr(uid=500)
May 20 19:28:51 sabitov pam_tcb[17447]: su: Session opened for root by srr(uid=500)
May 20 19:31:43 sabitov pam_tcb[2764]: wdm: Session closed for srr
------- Comment #7 From 2004-05-21 13:47:33 -------
Это уже похоже, не openssh-server ?
------- Comment #8 From 2004-05-21 13:51:40 -------
А какой именно shell был, какой терминал был запущен ?
У меня это не воспроизвелось на связке icewm,xterm,bash,su

Вообще такое может наверное происходит, тут ldv подробнее расскажет. Дело в
том,
что когда вы прибиваете оконный менеджер, то по идее он должен послать сигналы
всем запущенным приложениям. Вот здесь где-то и может закопаться ошибка.
------- Comment #9 From 2004-05-21 14:53:50 -------
(In reply to comment #8)
> А какой именно shell был, какой терминал был запущен ?
> У меня это не воспроизвелось на связке icewm,xterm,bash,su

Именно такая связка, прям 1:1. И у меня не повторилось.

Зато сегодня вот что случилось - появился ещё один "призрак":

[srr@sabitov srr]$ who -u
srr      :0           May 21 10:01   ?         14124
ave      pts/20       May 20 19:07 00:57       16674 (alef)
root     pts/21       May 20 19:30   ?         17502 (:0.0)
root     pts/22       May 20 19:30   ?         17524 (:0.0)
srr      pts/42       May 21 09:45   ?         12975 (:pts/40:S.1)
srr      pts/74       May 21 14:41   .         24356 (:0.0)
[srr@sabitov srr]$ ps -axf | grep -i screen
24541 pts/75   S      0:00                                  \_ grep -i screen

пользователи pts/40:S.1 создаются при использовании screen. Я попробую узнать
последовательность, приводящую к созданию призрака.

сейчас у меня их уже 4:

srr      :0           May 21 10:01   ?         14124
root     pts/21       May 20 19:30   ?         17502 (:0.0)
root     pts/22       May 20 19:30   ?         17524 (:0.0)
srr      pts/42       May 21 09:45   ?         12975 (:pts/40:S.1)
------- Comment #10 From 2004-05-21 16:58:07 -------
It was really fixed in openssh-server-3.6.1p2-alt6.
------- Comment #11 From 2004-05-21 17:23:16 -------
May 14 14:54:44 sabitov apt-shell: openssh-server-0:3.6.1p2-alt6 installed     
                 
May 14 14:54:44 sabitov sshd: Checking sshd configuration: succeeded           
                 
May 14 14:54:44 sabitov sshd: sending signal 1 to sshd succeeded               
                 
May 14 14:54:44 sabitov sshd[10174]: Received SIGHUP; restarting.              
                 
May 14 14:54:44 sabitov sshd[30081]: Server listening on 0.0.0.0 port 22.      
                 
May 14 14:54:45 sabitov apt-shell: openssh-server-0:3.6.1p2-alt5 removed  
------- Comment #12 From 2004-05-21 17:33:47 -------
Тогда это, скорее всего, не ко мне.
------- Comment #13 From 2004-06-02 14:21:36 -------
В последнее время не повторяется, наверное "рассосалось"